Skip to main content
GET
/
users
/
me
curl https://api.thanxsandbox.com/users/me \
  -X GET \
  -H "Content-Type: application/json"  \
  -H "Accept-Version: v4.0" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer ${token}" \
  -H "X-ClientId: ${client_id}" 
{
  "user": {
    "id": "wroeiu2304hfwf",
    "email": "john.smith@example.com",
    "phone": "+14158672345",
    "first_name": "Jane",
    "last_name": "Smith",
    "birth_date": {
      "year": 1987,
      "month": 8,
      "day": 14
    },
    "zip_code": "12345"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.thanx.com/llms.txt

Use this file to discover all available pages before exploring further.

The user’s phone number is not gathered by Thanx with the permission to use it for marketing.
Please review proper request headers here.

Response

id
string
The user's identifier
email
string
The user's email
phone
string
The user's phone number, in E.164 format (eg. +14157582345)
first_name
string
The user's first name
last_name
string
The user's last name
birth_date
hash
The user's birthday information
zip_code
string
The user's zip code
curl https://api.thanxsandbox.com/users/me \
  -X GET \
  -H "Content-Type: application/json"  \
  -H "Accept-Version: v4.0" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer ${token}" \
  -H "X-ClientId: ${client_id}" 
{
  "user": {
    "id": "wroeiu2304hfwf",
    "email": "john.smith@example.com",
    "phone": "+14158672345",
    "first_name": "Jane",
    "last_name": "Smith",
    "birth_date": {
      "year": 1987,
      "month": 8,
      "day": 14
    },
    "zip_code": "12345"
  }
}